events.listen('recipes', function (e) {
  //Machine Frame
  e.remove({ id: 'thermal:machine_frame' })
  e.custom({
    "type": "thermal:smelter",
    "input": [
      { "item": "immersiveengineering:sheetmetal_iron" },
      { "item": "immersiveengineering:sheetmetal_steel" },
      { "item": "immersiveengineering:rs_engineering"}
    ],
    "result": [{ "item": "thermal:machine_frame", "count": 1 }],
    "energy": 3200
  })
//Igneous Extruder
igneousExtruder('minecraft:water', 'mysticalagriculture:soulstone', 'mysticalagriculture:soulstone')
igneousExtruder('minecraft:water', 'iceandfire:dragon_ice', 'iceandfire:frozen_stone')
igneousExtruder('minecraft:water', 'iceandfire:ash', 'iceandfire:chared_stone')
igneousExtruder('minecraft:water', 'embellishcraft:polished_larvikite', 'embellishcraft:larvikite')
igneousExtruder('minecraft:water', 'minecraft:red_sandstone', 'minecraft:red_sand')
igneousExtruder('minecraft:water', 'minecraft:sandstone', 'minecraft:sand')
igneousExtruder('minecraft:water', 'minecraft:nether_bricks', 'minecraft:netherrack')
igneousExtruder('minecraft:water', 'minecraft:soul_soil', 'minecraft:soul_sand')
igneousExtruder('minecraft:water', 'minecraft:polished_andesite', 'minecraft:andesite')
igneousExtruder('minecraft:water', 'minecraft:polished_diorite', 'minecraft:diorite')
igneousExtruder('minecraft:water', 'minecraft:polished_granite', 'minecraft:granite')
igneousExtruder('minecraft:water', 'create:polished_gabbro', 'create:gabbro')
igneousExtruder('minecraft:water', 'create:polished_dolomite', 'create:dolomite')
igneousExtruder('minecraft:water', 'create:polished_limestone', 'create:limestone')
igneousExtruder('minecraft:water', 'minecraft:end_stone_bricks', 'minecraft:end_stone')
igneousExtruder('minecraft:water', 'astralsorcery:marble_runed', 'astralsorcery:marble_raw')
igneousExtruder('minecraft:water', 'ars_nouveau:summoning_crystal', 'ars_nouveau:arcane_stone')
igneousExtruder('minecraft:water', 'create:polished_scoria', 'create:scoria')
igneousExtruder('minecraft:water', 'create:polished_dark_scoria', 'create:dark_scoria')
igneousExtruder('minecraft:water', 'embellishcraft:polished_basalt', 'embellishcraft:basalt')
igneousExtruder('minecraft:water', 'embellishcraft:polished_slate', 'embellishcraft:slate')
igneousExtruder('minecraft:water', 'embellishcraft:polished_marble', 'embellishcraft:marble')
igneousExtruder('minecraft:water', 'embellishcraft:polished_gneiss', 'embellishcraft:gneiss')
igneousExtruder('minecraft:water', 'embellishcraft:polished_jade', 'embellishcraft:jade')
igneousExtruder('minecraft:water', 'byg:dacite_bricks', 'byg:dacite')
igneousExtruder('minecraft:water', 'byg:red_rock_bricks', 'byg:red_rock')
igneousExtruder('minecraft:water', 'byg:scoria_stonebricks', 'byg:scoria_stone')
igneousExtruder('minecraft:water', 'byg:polished_soapstone', 'byg:soapstone')
igneousExtruder('minecraft:water', 'quark:polished_basalt', 'quark:basalt')
igneousExtruder('minecraft:water', 'quark:polished_slate', 'quark:slate')
igneousExtruder('minecraft:water', 'byg:black_sandstone', 'byg:black_sand')
igneousExtruder('minecraft:water', 'byg:white_sandstone', 'byg:white_sand')
igneousExtruder('minecraft:water', 'byg:blue_sandstone', 'byg:blue_sand')
igneousExtruder('minecraft:water', 'byg:purple_sandstone', 'byg:purple_sand')
igneousExtruder('minecraft:water', 'byg:pink_sandstone', 'byg:pink_sand')
igneousExtruder('minecraft:water', 'quark:polished_limestone', 'quark:limestone')
igneousExtruder('minecraft:water', 'byg:blue_nether_bricks', 'byg:blue_netherrack')
igneousExtruder('minecraft:water', 'byg:therium_block', 'byg:therium_block')
igneousExtruder('minecraft:water', 'minecraft:purpur_block', 'byg:purpur_stone')
igneousExtruder('minecraft:water', 'byg:ether_stone', 'byg:ether_stone')
igneousExtruder('minecraft:water', 'byg:packed_black_ice', 'byg:black_ice')
igneousExtruder('minecraft:water', 'quark:polished_jasper', 'quark:jasper')
igneousExtruder('minecraft:water', 'twilightforest:aurora_block', 'twilightforest:aurora_block')
igneousExtruder('minecraft:water', 'undergarden:tremblecrust_bricks', 'undergarden:tremblecrust')
igneousExtruder('minecraft:water', 'undergarden:shiverstone_bricks', 'undergarden:shiverstone')
igneousExtruder('minecraft:water', 'undergarden:depthrock_bricks', 'undergarden:depthrock')
igneousExtruder('minecraft:water', 'quark:polished_myalite', 'quark:myalite')
igneousExtruder('minecraft:water', 'quark:polished_deepslate', 'quark:deepslate')

//Platinum Ingot
  e.remove({ id: 'thermal:machine/pulverizer/pulverizer_nickel_ore' })
e.custom({
  "type": "thermal:pulverizer",
  "ingredient": {
    "tag": "forge:ores/nickel"
  },
  "result": [
    {
      "item": "thermal:nickel_dust",
      "chance": 2.0
    },
    {
      "item": "janoeo:platinum_dust",
      "chance": 0.1
    },
    {
      "item": "minecraft:gravel",
      "chance": 0.2
    }
  ],
  "experience": 0.2
})
e.remove({ id: 'thermal:machine/smelter/smelter_nickel_ore' })
e.custom({
  "type": "thermal:smelter",
  "ingredient": {
    "tag": "forge:ores/nickel"
  },
  "result": [
    {
      "item": "thermal:nickel_ingot",
      "chance": 1.0
    },
    {
      "item": "kubejs:platinum_ingot",
      "chance": 0.2
    },
    {
      "item": "thermal:rich_slag",
      "chance": 0.2
    }
  ],
  "experience": 0.2
})
//Crying Obsidian
e.custom({"type": "thermal:bottler","ingredients": [{"item": "minecraft:obsidian"},{"fluid": "industrialforegoing:biofuel","amount": 10}],"result": [{"item": "minecraft:crying_obsidian"}]})
//Driftwood Log
e.custom({"type": "thermal:bottler","ingredients": [{"item": "minecraft:oak_log"},{"fluid": "minecraft:water","amount": 10}],"result": [{"item": "upgrade_aquatic:driftwood_log"}]})

function igneousExtruder(fluid, bottom, output){e.custom({"type": "thermal:rock_gen","adjacent": fluid,"below": bottom,"result": {"item": output}})}

})